<ion-header>
  <ion-navbar>
    <button ion-button menuToggle>
      <ion-icon name="menu"></ion-icon>
    </button>
    <ion-title>Page One</ion-title>
  </ion-navbar>
</ion-header>

<ion-content padding>
  <h3>Ionic Menu Starter</h3>

  <img src="assets/icon/favicon.ico" alt="" />


   
      <ion-item no-lines>
        <button ion-item (click)="buttonFunction()" detail-none >
       
                 <ion-icon item-right name="arrow-forward" ></ion-icon>
  
                 Button test
  
      </button>
     
      </ion-item>
      
         <button ion-item (click)="showArrayDATA()" detail-none >
       
          <ion-icon item-right name="arrow-forward" ></ion-icon>

           Show Array Data 

        </button>
      <ion-item text-wrap text-justify no-lines *ngFor="let faq of jsonData.faqs | shortArray:'question,answer':mfaq">

        <div *ngIf="show">
          <h3> {{faq.question}}</h3>
          <p >   {{faq.answer}}   </p>
        </div>

      </ion-item> 
     

</ion-content>
